Vislt - Feature # 1176: test suite: transform results.json into text summary

Status: Pending Priority: Normal
Author: Cyrus Harrison Category:

Created: 08/23/2012 Assigned to: Cyrus Harrison
Updated: 01/24/2013 Due date:

Impact: 3 - Medium

Expected Use: 3 - Occasional

(OISH All

Support Group: Any

Subject: test suite: transform results.json into text summary
History

08/28/2012 06:56 pm - Kathleen Biagas

Please add information about individual tests success/failure, not just success failure of a test file.

09/04/2012 05:09 pm - Eric Brugger
- Status changed from New to Pending

- Assigned to set to Cyrus Harrison

01/24/2013 07:04 pm - Cyrus Harrison
Hi Everyone,
This update provides several improvements to the json results recorded

in by our test suite, including:

- "results.json" now includes test suite params, *all* test script and
cases results in one tree structure.

- Proper locking for html index, and results.json for the
multi-processing run case

- visit_test_reports.py can generate a text report (all cases, or errors
only) from a results.json file

- visit_test_reports.py can email a report (all cases, or errors only)

from a results.json file

This check in resolves #1176, although some may want the text reports to
be a little more readable/user friendly.
This check in also enables email functionality necessary for a set of

focused test suite runs.

| also experimented with dynamically rendering the json results using
only client-side html/javascript/jquery. This would be an alternative

to generating html in the test suite python code, a possible way to help
alleviate some of our inode issues.

The proof of concept worked, however the results are a little too big
(~2MB) for us to expect good performance.

To make sure this tinkering wasn't lost, | checked in these prototype

pages under test/report_templates/.

Committing to
svn+ssh://cyrush@portal-auth.nersc.gov/project/projectdirs/visit/svn/visit/trunk/test

A report_templates/js/purl.js
report_templates/prototype_json_index.html
report_templates/prototype_json_script_details.html
visit_test_common.py

visit_test_main.py

= > >

visit_test_reports.py
M visit_test_suite.py
Committed r20137

-Cyrus
